Skip to main content
GET
/
status
/
sync
Sync Status
curl --request GET \
  --url https://api.totalis.trade/status/sync \
  --header 'TOTALIS_API_KEY: <api-key>'
{
  "running": true,
  "last_run": {
    "started_at": "2023-11-07T05:31:56Z",
    "completed_at": "2023-11-07T05:31:56Z",
    "duration_ms": 123,
    "series_succeeded": 123,
    "series_failed": 123,
    "total_markets_synced": 123
  },
  "recent_logs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "series_ticker": "<string>",
      "markets_synced": 123,
      "markets_removed": 123,
      "status": "success",
      "error_message": "<string>",
      "duration_ms": 123,
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

TOTALIS_API_KEY
string
header
required

API key for programmatic access. Generate from the Totalis Dashboard. Format: api_live_xxxxxxxxxxxxxxxxxxxxx. Supported for REST API and WebSocket.

Query Parameters

limit
integer
default:50

Maximum number of sync logs to return (max 200)

Required range: x <= 200

Response

Sync status and logs

running
boolean
last_run
object
recent_logs
object[]